Subject: Ticket Assigned - Re: Delivery of Materials (Order No. 9513556521)
From: Splash <[email-masked]>
To: [email-masked]
Date: Sun, 21 Nov 2021 12:55:28 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Re: Delivery of Materials (Order No. 9513556521) Dear

Your delivery team is very bad, again bad exeperience from them, my order
they cancelled after two days they called several times. Order No.
9513556521

Thank you

Afsal kalithodi
0557480244

On Tue, May 25, 2021 at 3:37 PM Afsal Kalithodi <[email-masked]>
wrote:

> Order #9663206576
>
> I received my shipment yesterday; unfortunately the delivery experience
> was very bad. This is the second time I am facing a bad delivery experience
> from your shipment team.
>
> Yesterday your delivery team sent a message to me at 01:00pm, I informed
> them I will be in the office only up to 5:00PM, and he said he will deliver
> the material before 05:00PM.
>
> 04:55PM: he said he cannot deliver the material to the location; the
> location is not his area of delivery and started to argue with me. Then i
> decided to go his location and collect the material from him, i reached
> there (nearly 2 km from my office) but he was not there and started to wait
> for him, try to call him several times but he didn’t answer, after 20
> minutes I received call from him 'he said he reached the location’, but I
> couldn’t find him. Then he started shouting at me and stating that the
> location is not his area. After that i decided i don’t want the shipment
> and I said that to him, when I took the car and moved from there he came to
> me and gave me the material. He was very angry and he delivered the
> material and left without saying anything.
>
> Same experience was faced before also, that day they didn’t deliver the
> material to the exact location, I had to collect the material from them.
> After that I decided I will not purchase online from Splash, I went to the
> store before purchasing from online to avoid the delivery issues again, but
> this time the material was offer price in online only.
>
> Anyway thank you for your time; i just want to share my experience only.
>
> Thank You
>
> Afsal kalithodi
>

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3418519